| Earth Observation Mission CFI Software Visibility Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.MultiStationsExtraInfo Class Reference

Additional information to visibility segments computed for multiple stations. More...

Inheritance diagram for EECFI.MultiStationsExtraInfo:

List of all members.

## Public Member Functions
| MultiStationsExtraInfo ()
| Empty Class constructor.
| MultiStationsExtraInfo (long numSta, long[] staInSeg, ANXTime[] multiDop)
| Parameter class constructor.
| MultiStationsExtraInfo (long numSta, ANXTime[] multiDop, String[] stationNames, double[] utc)
| Parameter class constructor.
| MultiStationsExtraInfo (MultiStationsExtraInfo info)
| Copy constructor.
## Public Attributes
long | numberOfStations
| Number of station from which the satellite is visible during the segment (dummy if extraInfoFlag == false).
long[] | stationsInSegment
| Indexes of the stations from which the satellite is visible during the segment (dummy if extraInfoFlag == false).
ANXTime[] | multiZdop
| Zero doppler time (dummy if extraInfoFlag == false).
String[] | stationNamesInSegment
| Name of the station (only for Swath.stationVisTimeCompute).
double[] | utcTime
| UTC time for zero doppler (only for Swath.stationVisTimeCompute).

## Detailed Description

Additional information to visibility segments computed for multiple stations.

## Constructor & Destructor Documentation

EECFI.MultiStationsExtraInfo.MultiStationsExtraInfo | ( |  | ) |

Empty Class constructor.

EECFI.MultiStationsExtraInfo.MultiStationsExtraInfo | ( | long | numSta,
|  | long[] | staInSeg,
|  | ANXTime[] | multiDop |
| ) |  |  |

Parameter class constructor.

EECFI.MultiStationsExtraInfo.MultiStationsExtraInfo | ( | long | numSta,
|  | ANXTime[] | multiDop,
|  | String[] | stationNames,
|  | double[] | utc |
| ) |  |  |

Parameter class constructor.

EECFI.MultiStationsExtraInfo.MultiStationsExtraInfo | ( | MultiStationsExtraInfo | info | ) |

Copy constructor.

## Member Data Documentation

ANXTime [] EECFI.MultiStationsExtraInfo.multiZdop

Zero doppler time (dummy if extraInfoFlag == false).

long EECFI.MultiStationsExtraInfo.numberOfStations

Number of station from which the satellite is visible during the segment (dummy if extraInfoFlag == false).

String [] EECFI.MultiStationsExtraInfo.stationNamesInSegment

Name of the station (only for Swath.stationVisTimeCompute).

long [] EECFI.MultiStationsExtraInfo.stationsInSegment

Indexes of the stations from which the satellite is visible during the segment (dummy if extraInfoFlag == false).

double [] EECFI.MultiStationsExtraInfo.utcTime

UTC time for zero doppler (only for Swath.stationVisTimeCompute).